## org.eclipse.emf.databinding
Interface IEMFSetProperty

All Superinterfaces:
  IEMFProperty, IProperty, ISetProperty

All Known Subinterfaces:
  IEMFEditSetProperty

All Known Implementing Classes:
  EMFEditSetPropertyDecorator, EMFSetPropertyDecorator

    public interface IEMFSetProperty

extends IEMFProperty, ISetProperty

An `ISetProperty` extension interface with convenience methods for creating nested `EStructuralFeature` properties.

Since:
  2.6

Method Summary
`IEMFMapProperty` `values(EStructuralFeature feature)` Returns a master-detail combination of this property and the specified value property.
`IEMFMapProperty` `values(FeaturePath featurePath)` Returns a master-detail combination of this property and the specified value property.
`IEMFMapProperty` `values(IEMFValueProperty property)` Returns a master-detail combination of this property and the specified value property.

Methods inherited from interface org.eclipse.emf.databinding.IEMFProperty
`getStructuralFeature`

Methods inherited from interface org.eclipse.core.databinding.property.set.ISetProperty
`getElementType, observe, observe, observeDetail, setFactory, setFactory, values`

Method Detail

### values

    IEMFMapProperty values(EStructuralFeature feature)

  Returns a master-detail combination of this property and the specified value property.

  Parameters:
    `feature` - the value property to observe.
  Returns:
    a master-detail combination of this property and the specified value property.
  See Also:
    `values(IEMFValueProperty)`

### values

    IEMFMapProperty values(FeaturePath featurePath)

  Returns a master-detail combination of this property and the specified value property.

  Parameters:
    `featurePath` - the value property to observe. May be nested e.g. "parent.name"
  Returns:
    a master-detail combination of this property and the specified value property.
  See Also:
    `values(IEMFValueProperty)`

### values

    IEMFMapProperty values(IEMFValueProperty property)

  Returns a master-detail combination of this property and the specified value property. The returned property will observe the specified value property for all elements observed by this set property, mapping from this set property's elements (keys) to the specified value property's value for each element (values).

  Example:

       // Observes the set-typed "children" property of a Person object,
       // where the elements are Person objects
       IEMFSetProperty children = EMFProperties.set(MyPackage.Literals.PERSON_CHILDREN);
       // Observes the string-typed "name" property of a Person object
       IEMFValueProperty name = EMFProperties.value(MyPackage.Literals.PERSON_NAME);
       // Observes a map of children objects to their respective names.
       IEMFMapProperty childrenNames = children.values(name);

  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified value property.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.